/* yasep/GNL/palette.js
  This file is distributed under terms of the Affero GPL v3 license or later, see http://yasep.org
created jeu. mai  3 02:16:49 CEST 2012 by whygee@f-cpu.org
This file contains the "picker" for the elements that are drag&dropped on the graphs.
*/

init_obj.push(palette={
  win: null,
  flea_border:4,

  clear: function(){
    var c=dcE("DIV");
    c.className="clear";
    return c;
  },

  dndNodes:[],

  create_node:function(l, state){
//[  list_in, list_out, col, name  ]
    var c, d=dcE("DIV"),
        e, f, g, h, i, r, s;

    function create_ports(list,border,p){
      if (list.length){
        var j=0;
        for (i in list) {
          if(list[i].port){
            (e=dcE("DIV")).className="GNLport";
            e.innerHTML=list[i].port;
            e.style[border]="0px";
            if (j++>0)
              e.style.borderLeft="0px";

              // "flea"
              h=dcE("DIV");
              h.className="flea_offset";
              h.style[p]="0px";
                g=dcE("DIV");
                g.className="flea";
                h.appendChild(g);
              e.appendChild(h);
            d.appendChild(e);
          }
          else {
            if(list[i].number){
              (e=dcE("DIV")).className="GNLnumber";
              edit_text.register(e, {
                size:30,
                func: function(x){
                  x.innerHTML=x.source=""+(str2int(x.source,"q"));
                  palette.fix(d);
                },
                check: edit_text.filter_number });
              e.innerHTML=list[i].number;
              e.title="click to change input value";
              d.appendChild(e);
            }
            else {
              if(list[i].result){
                (e=dcE("DIV")).className="GNLnumber";
                e.style.backgroundColor="#DDD"; // grey=>not editable
                e.innerHTML=list[i].result;
                d.appendChild(e);
              }
            }
          }
        }
      }
      else {
        (e=dcE("DIV")).className="placeholder";
        e.innerHTML="&nbsp;"; // occupy vertical space and correct the various offsets
        d.appendChild(e);
      }
    }

    d.className="GNLnode";
    d.style.backgroundColor=l[2];//col;

    // Inputs
    d.appendChild(palette.clear());
    create_ports(l[0],"borderTop","top");

    // Body
    d.appendChild(palette.clear());
    (s=dcE("DIV")).className="NodeName";
    s.title="move block";
    dragndrop.register(s, palette.dndNodes[state], d);
    s.innerHTML=l[3];//name;
    d.appendChild(s);

    // output
    d.appendChild(palette.clear());
    create_ports(l[1],"borderBottom","bottom");

    return d;
  },

  fix:function(node){
    var d, w, tr, td, div, max_len=0,
      div_in, div_mid, div_out,
      len_in, len_mid, len_out;

    function scan(v){
      w=v; // account for the added 1px dotted border
      d=div; // "spacing" div
      div=div.nextSibling;

      while (div && div.className!="clear") {
        w+=1+div.scrollWidth;
        div=div.nextSibling;
      }
      if (w>max_len)
        max_len = w;
      return d;
    }

    div=node.firstChild;

    // top row : inputs
    div_in=scan(1);
    len_in=w;

    // Middle row : name and such
    div_mid=scan(6); // -1 (no border) + ? padding
    len_mid=w;

    // Middle row : name and such
    div_out=scan(1);
    len_out=w;

    // adjust 
    function adjust(d,l){
      d.style.width=((max_len-l)>>1)+"px";
    }

    adjust(div_in ,len_in);
    adjust(div_mid,len_mid);
    adjust(div_out,len_out);

  },

  fix_sizes: function(base){
    var i, t=base.getElementsByTagName("DIV");
    for (i=0; i<t.length; i++)
      if(t[i].className && (t[i].className=="GNLnode"))
        palette.fix(t[i]);
  },

  toggle:function(){
    toggle(this.parentNode.nextSibling);
    return false;
  },

  dndNewNode:{
    ondrag:function(){
        graph.inter_left 
       =graph.inter_right
       =null; // little cleanup... should probably be cleared somewhere else ?
    },
    trashBin:false, // disables erase
    state:1,
    ondrop:function(){
      graph.ondrop_node();
      // create a new graph window if the node is dropped in the void
            // to be done
    }
  },

  start: function() {
    var h, cont=(palette.cont=dcE("DIV"));
    cont.innerHTML=import_htmi("GNL/palette");
    h=getByClass("hiddenDiv","DIV",palette.cont);
    palette.win = ygwm.new_window(
       hiddenText(0,h), null, cont,
       350, 250, 40, 40, false, true, true, true, false, "sat_gryl");

    var c, d, e, f, g, i,j,k,l,u;

    for (j in lib_nodes) {
      k=lib_nodes[j];
      u=[];

      (l=dcE("DIV")).className="palette_label";
      cont.appendChild(l);

//      l.onclick=palette.toggle;

      (d=dcE("DIV")).className="palette_main";

      for (i in k) {
        u.push(k[i][3]);
        // Create an item
        (e=dcE("DIV")).className="NodeContainer";
            (f=dcE("DIV")).className="nodeMargin";
            f.appendChild(
              palette.create_node(k[i],1));
            f.appendChild(palette.clear());
          e.appendChild(f);
          (g=dcE("DIV")).className="nodeOver";
          dragndrop.register(g, palette.dndNewNode, f.firstChild); // Overlays an invisible node for the drag&drop from the palette to the graph editor
          e.appendChild(g); 
        d.appendChild(e);
      }

      d.appendChild(palette.clear());
      cont.appendChild(d);

      l.innerHTML='<span style="cursor:pointer" title="show/hide box"><b>'
          +j+'</b></span>&nbsp;&nbsp;&nbsp;<font size="-1"><i>('+u.join(",&nbsp;")+")</font></i>";
      l.firstChild.onclick=palette.toggle;
      palette.fix_sizes(d); // fix sizes AFTER display/append
    }
    return palette.win;
  },

  init_obj: function(){
    for (var i=1; i<=3; i++)
      palette.dndNodes[i]={
        trashBin:true, // allow move to the trash / erase
        ondelete:graph.ondelete_node,
        ondrag:graph.ondrag_node,
        ondrop:graph.ondrop_node,
        state:i
      };

    palette.menuItem = menu.subMenuItem(menu.list["GNL"],["Block&nbsp;picker","Choisir&nbsp;un&nbsp;bloc"], "GNL/palette");
  }
});
